View Issue Details

IDProjectCategoryView StatusLast Update
0006512MediaMonkey (current)Main Panel/Toolbars/Menuspublic2010-12-22 08:34
Reporterrusty 
PriorityurgentSeverityfeatureReproducibilityalways
Status closedResolutionfixed 
Product Version4.0 
Target Version4.0Fixed in Version4.0 
Summary0006512: Context-sensitive Toolbars
DescriptionContext-sensitive toolbars

MM4 will have context-sensitive customizable toolbars.

'Standard' toolbar will appear as follows (note: there was some discussion about whether to use a single 'Standard' toolbar across all nodes that has hardcoded customizations OR to use multiple toolbars 1 for each of the nodes. We decided to try the former, the downside being that end-users will have limited ability to customize the toolbar, since toolbars will be hardcoded to include/exclude various context-dependent nodes.)

- Library/My Computer node: [Play (combo), Burn, Edit, Send to, Tools (Auto-Tag from Web, Auto-Tag from File, Auto-Organize, Advanced tag management, Analyze Volume, Level Track Volume, Scripts{auto-increment, swap artist&title, case checker})]
- Podcast node: Podcast-specific functions [New, Edit, Unsubscribe] + Standard functions [Play (combo), Burn, Edit, Send to, Tools (Auto-organize, Export podcastst to OPML script)]
- Device node: Device-specific functions [Auto-sync, Eject, Rebuild Database + subset of standard functions [Play (combo), Burn, Edit, Tools (Auto-Tag from Web, Auto-Tag from File, Auto-Organize, Advanced tag management, Analyze Volume, Level Track Volume, Scripts{auto-increment, swap artist&title, case checker})]
- CD node: CD functions [Get Album Info from FreeDB, Rip, + Library functions [Play (combo), Burn, Edit, Send to, Tools (Auto-Tag from Web, Scripts {auto-increment, swap artist&title, case checker})]

The Following toolbars are not context sensitive and appear all the time:
- View / Search (the contents of the View/Search Toolbars can be combined)
- Navigation

The following toolbars can be deleted:
Edit
Search
Shortcuts (As described in http://www.ventismedia.com/mantis/view.php?id=6503 , this toolbar isn't really useful in its current form, given other features planned for MM4. Note: I would want to keep a variant of it, if we can implement it as a 'Favorites' toolbar, as described in http://www.ventismedia.com/mantis/view.php?id=628 ).

Note: the 'Standard' context-sensitive toolbar duplicates functionality in the Menu bar that is immediately above it. Consequently, there is a chance that we may decide to remove certain functions from the menu bar as we iterate on this.
TagsNo tags attached.
Fixed in build1336

Relationships

related to 0007198 closedpetr Improve Main Menu / Tabs layout to preserve vertical space 

Activities

jiri

2010-09-29 23:33

administrator   ~0020637

Upon further discussions, this proposal was simplified, at least for now, some more functions might be added/modified later.

Standard toolbar will be customizable, as any other toolbar (i.e. Customize command should be returned to Toolbars right-click menu). By default, it will have the following commands in this order (note that I think that context specific commands (like Sync) should be last, so that e.g. Play always remains at the same position, thoughts?):

Play (combo), Burn, Edit, Send to, Subscribe, Edit, Unsubscribe {not sure if these two are really needed, thy apply to Podcast context, but users will probably use them only a little and so they can be left out?}, Auto-sync, Eject {if supported}, Rip

Some context specific commands will be available (visible) only when user is in their respective context, otherwise they will remain hidden:
a. Auto-sync, Eject - only for Device nodes
b. Rip - only for CD nodes
c. Subscribe - only for Podcasts nodes (including Podcast Directories)

Note that this is already mostly implemented, it just replaces the proposal above.

petr

2010-10-06 09:26

developer   ~0020649

Implemented in 1315

rusty

2010-12-10 00:01

administrator   ~0021706

1) Play Combo button is missing associated text.

2) Library/My Computer node: Missing a Tools button (containing the tools described above)

3) Podcasts:
a) New Podcast button should be on all podcast nodes
b) When a Podcast subscription is selected, Edit & Unsubscribe should be displayed
c) Podcast 'Tools' button should appear for podcast tracks (see description in spec)

4) Device:
a) Remove Device button is missing 'Eject' text
b) Tools button is missing (as specced)

5) Playlist:
a) Any Playlist Node should have: New Playlist, New AutoPlaylist
b) Any selected Playlist should have: Edit Playlist

6) UPnP Server node:
a) Should have 'Configure Sharing' button

7) Web
a) Shauld have 'New Website' button

petr

2010-12-12 21:24

developer   ~0021779

Fixed in 1335

rusty

2010-12-19 06:30

administrator   ~0021918

Tested 1336. It's almost done--I noticed a couple of remaining minor issues:

2) Tools button is still missing for various Collection nodes/Subnodes. It should basically appear anytime files are displayed in the tracklist.

3b) Edit & Unsubscribe buttons should only be active if the subscription is active (not greyed out).

6) Change 'Configure Sharing' to 'Share Media...' (this applies to the context menu as well).

7) Change 'New Website' to 'New Bookmark' (in all cases)

petr

2010-12-19 15:00

developer   ~0021923

Fixed in 1336

rusty

2010-12-22 08:34

administrator   ~0022035

Last edited: 2010-12-22 08:34

View 2 revisions

Verified 1339.